---
layout: page
title: "Instructor Notes"
permalink: /guide/
---

The instructor notes should provide additional discussion useful to instructors, 
but not appropriate for inclusion in the main lessons. The following structure 
provides a consistent way for instructors to both prepare for a workshop and 
quickly find necessary information during a workshop.

Please remember not to overload on details, and to keep the comments here positive!

## Lesson motivation and learning objectives

These concepts should be highlighted in the main lesson material, but ideas for 
explaining these concepts further can be placed here. 

## Lesson design

Most lessons contain more material than can be taught in a single workshop. 
Describe a general narrative (with time estimates) for teaching either a half day 
or full day with this lesson material. You may also choose to include multiple 
options for lesson design, or what material can be skipped while teaching. 
This section may also include recommendations for how this lesson fits into 
the overall workshop.

## Technical tips and tricks

Provide information on setting up your environment for learners to view your 
live coding (increasing text size, changing text color, etc), as well as 
general recommendations for working with coding tools to best suit the 
learning environment.

## Common problems

This can include answers to common learner questions, as well as links to 
resources (blog posts, stack overflow answers, etc) that may solve problems that 
may occur during a workshop.

